
#include <cv.h>
#include <highgui.h>

using namespace std;
using namespace cv;


int main( int argc, char** argv )
{

    Mat newImg, ffImg;
    Rect rect;

    namedWindow("SRC");
    namedWindow("Flood & fill");
       
    newImg = imread(argc >= 2 ? argv[1] : "fruits.jpg", 1); 
    
    imshow("SRC", newImg);

    ffImg = newImg.clone();

    floodFill(ffImg, Point(400,400), CV_RGB(255,255,255), &rect,
	      CV_RGB(7,7,7), CV_RGB(5,5,5));


    circle(ffImg,Point(400,400), 5, CV_RGB(255,0,0), -1);
    rectangle(ffImg, rect, CV_RGB(255,0,0),2);

    imshow("Flood & fill", ffImg);
    waitKey(0);

    return 0;
}



// int main( int argc, char** argv )
// {
//   IplImage* newImg = NULL, *ffImg = NULL;
//   CvConnectedComp comp;
//   cvNamedWindow("SRC", 1);
//   //load original image
//   newImg = cvLoadImage("fruits.jpg",1);
//   //make a copy of the original image
//   ffImg = cvCreateImage( cvGetSize(newImg), IPL_DEPTH_8U, 3);
//   ffImg = cvCloneImage( newImg );
//   /* Flood and Fill from pixel(400,400) with color white
//      and the flood range of (-7, +5) */
//   cvFloodFill( ffImg, cvPoint(400,400), CV_RGB(255,255,255),
//                CV_RGB(7,7,7), CV_RGB(5,5,5), &comp, 8, NULL);
//   cvCircle( ffImg, cvPoint(400,400), 5, CV_RGB(255,0,0), -1,0, 0 );
//   cvReleaseImage( &newImg ); cvReleaseImage( &ffImg );
//   return 0;
// }
