/****************************************************************/
/*  File: skeleton.cpp	                                        */
/*  Sistemas de Vision Computacional Trabajo Final              */		
/*  Fichero basico para apertura de videos AVI y visualizacion  */
/****************************************************************/

#include <iostream>

#include <cv.h>
#include <highgui.h>

using namespace std;
using namespace cv;


int main( int argc, char** argv )
{
  VideoCapture captura;
  Mat input;
  int c;

  

  // comprobar el numero de parametros de entrada
  if ( argc < 2 )
  {
      cerr<<"Error en el numero de parametros de entrada" <<endl
	  <<"\tUsar: skeleton input.avi" << endl;
     return -1;
  }

  // abrir fichero de video AVI
  captura = VideoCapture(argv[1] );
  if ( !captura.isOpened() )
  {
      cerr << "No se ha podido abrir el fichero " << argv[1]<<endl
	   <<"El fichero no existe o el codec no es adecuado"<<endl;
      return -1;
  }

  
  namedWindow("SRC"); 
  
  for (;;)
  {
     // obtener el frame
      captura >> input;
      if (input.empty()) // end of file
	  break;

     // Procesar aqui ...
		
     imshow ("SRC",input);

     c =  waitKey(10);
     if ( c == 'q' ) break;
     else if ( c == 'p' ) waitKey(0);
  }
  return 0;
}
