#include <iostream>

#include <cv.h>
#include <highgui.h>

using namespace std;
using namespace cv;


int main( int argc, char** argv )
{

    Mat src, dst;

    src = imread(argc >= 2 ? argv[1] : "fruits.jpg", 0); 

    if(src.empty()){
	std::cerr << "src empty!!"<< std::endl;
	return 0;
    }
    Canny(src, dst, 100, 150, 3);

    namedWindow("src"); imshow("src", src);
    namedWindow("canny"); imshow("canny", dst);

    waitKey(0);
    
    return 0;
}
